package com.base.scanqrclear.bean

import com.base.scanqrclear.bean.FunctionUIBean.Companion.KEY_X

data class PaypalUIBean(
    val meLink: String? = null,
    val meUsername: String? = null
) : ScanBean(KEY_X) {

    companion object {

        //  https://www.paypal.me/www.baidu.com
        fun PaypalUIBean.createPaypalMeLinkQrString(): String {
            return "https://www.paypal.me/$meLink"
        }


        //   https://www.paypal.me/koko
        fun PaypalUIBean.createPaypalMeUserNameQrString(): String {
            return "https://www.paypal.me/$meUsername"
        }

    }
}
